// подключение библиотек
#include <SPI.h>
#include <RF22.h>

// создание объекта RF
RF22 rf22;
// для выбора влажность/температура
int choice=0;

void setup() 
{
  Serial.begin(9600);
  if (!rf22.init()) // Defaults after init 
  // are 434.0MHz, 0.05MHz AFC pull-in, modulation FSK_Rb2_4Fd36
    Serial.println("RF22 init failed");
  // Defaults after init are 434.0MHz, 0.05MHz AFC pull-in, modulation FSK_Rb2_4Fd36
}

void loop()
{
  while (1)
  {
    Serial.println("Sending to rf22_server");
    // отправить запрос на  rf22_server
    if(choice==0) {
         uint8_t data[] = "tempSH21";
         rf22.send(data, sizeof(data));
    }
    else {
        uint8_t data[] = "humiditySH21";
        rf22.send(data, sizeof(data));
    }   
    rf22.waitPacketSent();
    // ожидание ответа
    uint8_t buf[RF22_MAX_MESSAGE_LEN];
    uint8_t len = sizeof(buf);

    if (rf22.waitAvailableTimeout(500))
    { 
      // полученное сообщение   
      if (rf22.recv(buf, &len))
      {
        Serial.print("got reply: ");
        if(choice==0)
           Serial.print(" tempSH21=");
        else
           Serial.print(" humiditySH21=");
        Serial.println((char*)buf);
      }
      else
      {
        Serial.println("recv failed");
      }
    }
    else
    {
      Serial.println("No reply, is rf22_server running?");
    }
    choice=1-choice;
    delay(3000);
  }
}

